# $Revision: 1.101.4.4 $, $Date: 2006/08/02 17:40:19 $
#
# todo:
# - add all ChageLog and all READMEs to doc
#
Summary:	The GNOME desktop programs for the GNOME2 GUI desktop environment
Summary(pl):	Programy dla desktopu rodowiska graficznego GNOME2
Name:		gnome-session
Version:	2.14.3
Release:	1
License:	LGPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-session/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	34eb4641e2791ae51acf6f1edfcf3d64
Source1:	%{name}-gnome.desktop
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-less_verbose.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound >= 1:0.2.30
BuildRequires:	esound-devel >= 1:0.2.30
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gnome-keyring-devel >= 0.4.2
BuildRequires:	gtk+2-devel >= 2:2.8.18
BuildRequires:	intltool
BuildRequires:	libgnomeui-devel >= 2.14.1
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRequires:	pango-devel >= 1:1.10.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post,preun):	GConf2
Requires:	control-center >= 1:2.14.2
Requires:	gnome-keyring >= 0.4.9
Requires:	gnome-splash
Requires:	gnome-wm
Requires:	libgnomeui >= 2.14.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME2 (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. GNOME2 is similar in purpose and scope
to CDE and KDE, but GNOME2 is based completely on free software.

GNOME2 session provides the session tools for the the GNOME desktop.

%description -l pl
GNOME2 (GNU Network Object Model Environment) to zestaw przyjaznych
dla uytkownika aplikacji i narzdzi do uywania w poczeniu z
zarzdc okien pod X. GNOME2 ma podobny cel jak CDE i KDE, ale bazuje
cakowicie na wolnym oprogramowaniu.

Pakiet gnome-session zawiera narzdzia do obsugi sesji dla desktopu
GNOME.

%package -n gnome-splash-gnome
Summary:	GNOME splash screen
Summary(pl):	Ekran startowy GNOME
Group:		X11/Amusements
Requires:	%{name} = %{version}
Provides:	gnome-splash
Obsoletes:	gnome-splash

%description -n gnome-splash-gnome
Default GNOME splash screen.

%description -n gnome-splash-gnome -l pl
Standardowy ekran startowy GNOME.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__intltoolize}
%{__glib_gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-install \
	X_EXTRA_LIBS="-lXext"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/gnome/autostart

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/xsessions
install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/xsessions/gnome.desktop

mv ChangeLog main-ChangeLog
find . -name ChangeLog |awk '{src=$0; dst=$0;sub("^./","",dst);gsub("/","-",dst); print "cp " src " " dst}'|sh

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name} --with-gnome --all-name

%clean
rm -fr $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%gconf_schema_install gnome-session.schemas

%preun
%gconf_schema_uninstall gnome-session.schemas

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS *ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/gconf/schemas/gnome-session.schemas
%dir %{_datadir}/gnome/autostart
%{_datadir}/gnome/default.session
%{_datadir}/gnome/default.wm
%{_datadir}/xsessions/*.desktop
%dir %{_pixmapsdir}/splash
%{_mandir}/man[15]/*
%{_desktopdir}/*.desktop

%files -n gnome-splash-gnome
%defattr(644,root,root,755)
%{_pixmapsdir}/splash/gnome-splash.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-session.spec,v $
Revision 1.101.4.4  2006/08/02 17:40:19  freetz
- 2.14.3

Revision 1.101.4.3  2006/06/01 19:04:14  freetz
- 2.14.2, GNOME 2.14.2 deps

Revision 1.101.4.2  2006/05/15 18:16:51  baggins
- release 2
- BR esound for esd binary (configure badly wants it)

Revision 1.101.4.1  2006/05/15 16:43:40  baggins
- merged from HEAD

Revision 1.103  2006/04/10 17:12:50  freetz
- 2.14.1

Revision 1.102  2006/04/02 14:29:11  freetz
- merged from DEVEL

Revision 1.101.2.8  2006/03/18 12:01:02  wiget
- fix gnome-keyring BR

Revision 1.101.2.7  2006/03/13 21:29:20  freetz
- 2.14.0

Revision 1.101.2.6  2006/03/04 13:23:32  freetz
- md5

Revision 1.101.2.5  2006/02/28 15:46:43  freetz
- 2.13.92, one more time fixed autostart dir

Revision 1.101.2.4  2006/02/16 08:22:07  freetz
- fix the autostart dir location to match the spec

Revision 1.101.2.3  2006/02/13 20:42:05  freetz
- 2.13.91

Revision 1.101.2.2  2006/01/31 15:27:28  freetz
- add autostart folder

Revision 1.101.2.1  2006/01/30 23:09:40  freetz
- 2.13.90

Revision 1.101  2005/10/05 18:22:42  freetz
- rel.2 for rebuild

Revision 1.100  2005/09/06 13:35:17  aflinta
- merged from DEVEL, 2.12.0

Revision 1.99.2.4  2005/08/17 20:43:55  aflinta
- rebuild with new cairo, rel. 2

Revision 1.99.2.3  2005/08/09 13:36:39  paladine
- updated to 2.11.91

Revision 1.99.2.2  2005/07/26 13:30:39  paladine
- updated to 2.11.90

Revision 1.99.2.1  2005/07/04 20:43:03  freetz
- 2.11.1

Revision 1.99  2005/04/12 21:52:31  qboosh
- /sbin/ldconfig deps for post* -p are autogenerated

Revision 1.98  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.97  2005/04/12 16:53:57  freetz
 R: preun Gconf2

Revision 1.96  2005/04/12 16:50:24  freetz
- new style macros, rel.2

Revision 1.95  2005/03/27 16:25:49  freetz
- merged from DEVEL, dropped magicdev support (default session patch),
  removed todo cruft, rel.1

Revision 1.94.2.6  2005/03/20 21:02:19  aflinta
- rebuild with howl 0.9.10, release 0.2

Revision 1.94.2.5  2005/03/20 17:52:01  freetz
- added incidentally omited changelog informations

Revision 1.94.2.4  2005/03/20 17:45:35  freetz
- added less_verbose patch (do not send debug information to stdout)
- removed openbox wm patch - no longer needed

Revision 1.94.2.3  2005/03/13 00:36:01  aflinta
- up to version 2.10.0, NFY

Revision 1.94.2.2  2005/02/08 23:12:14  grzegol
- logout patch is outdated
- rel. 1

Revision 1.94.2.1  2005/02/07 17:19:07  grzegol
- updated to 2.9.4

Revision 1.94  2004/10/12 18:12:57  freetz
- 2.8.1, tested, ready for STBR

Revision 1.93  2004/09/17 16:17:58  havner
- [mass commit] rel++ for s/Capplet/X-Capplet in sources

Revision 1.92  2004/09/16 21:40:17  havner
- rel 2 for updated desktop patch

Revision 1.91  2004/09/15 09:05:41  grzegol
- merged from DEVEL and updated to 2.8.0
- removed locale-names patch and remove no locale in %%install

Revision 1.90  2004/08/17 12:12:41  ankry
- added pango epoch to R:/BR:

Revision 1.89  2004/07/26 11:49:25  grzegol
- added desktop patch (s/Application/GTK;GNOME/)
- rel. 3

Revision 1.88  2004/07/22 21:57:00  ankry
- desktop fix, rel. 2

Revision 1.87  2004/06/14 22:34:04  grzegol
- updated to 2.6.2

Revision 1.86  2004/06/10 18:01:59  krzak
- set halt and reboot command because configure couldn't find it by himself.
- rel 2

Revision 1.85.2.7  2004/08/22 21:33:39  aflinta
- rebuild with howl, rel 2

Revision 1.85.2.6  2004/08/17 17:17:15  aflinta
- up to version 2.7.91

Revision 1.85.2.5  2004/07/26 11:45:10  grzegol
- added desktop patch (s/Application/GTK;GNOME/)
- rel. 2

Revision 1.85.2.4  2004/07/20 11:54:04  grzegol
- updated to 2.7.4

Revision 1.85.2.3  2004/07/06 13:02:35  grzegol
- updated to 2.7.3

Revision 1.85.2.2  2004/07/01 15:42:03  grzegol
- updated BRs

Revision 1.85.2.1  2004/06/05 17:28:18  freetz
- 2.7.1 - gnome 2.8 developement series

Revision 1.85  2004/05/08 11:36:52  pawcioos
- fallback option: R: gnome-wm

Revision 1.84  2004/04/30 07:06:26  pawcioos
- remove R: gnome-wm

Revision 1.83  2004/04/19 21:38:17  grzegol
- updated to 2.6.1

Revision 1.82  2004/03/22 23:47:36  grzegol
- merged from DEVEL and updated to 2.6.0

Revision 1.81  2004/02/06 19:58:01  freetz
- added openbox_wm patch (support for session managment for openbox and
  as replacement for metacity)
- R: gnome-wm (provided by metacity or openbox)

Revision 1.80  2004/01/15 17:45:21  freetz
- 2.4.2, STBR for AC

Revision 1.79  2003/12/12 21:41:16  wrobell
- added todo item about nautilus and gnome-panel

Revision 1.78  2003/11/20 13:01:31  grzegol
- added logout patch (allow user to shutdown/restart computer only if
  /sbin/halt has SUID root flag)
- rel. 7

Revision 1.77  2003/11/16 18:04:04  qboosh
- cosmetics

Revision 1.76  2003/11/16 16:06:15  krzak
- gnome-splash-gnome package with default gnome splash screen
- rel 6

Revision 1.75  2003/11/14 21:08:37  krzak
- remove dpi.patch (it is done in control-center since now)
- rel 5

Revision 1.74.2.11  2004/03/19 16:29:37  grzegol
- added epoch to esound requires

Revision 1.74.2.10  2004/03/18 18:30:28  grzegol
- added epoch to control-center requires

Revision 1.74.2.9  2004/03/15 16:59:31  grzegol
- updated to 2.5.92
- added R: gnome-keyring

Revision 1.74.2.8  2004/03/09 20:49:46  grzegol
- updated to 2.5.91

Revision 1.74.2.7  2004/02/23 23:27:55  aflinta
- we require gnome-keyring to build

Revision 1.74.2.6  2004/02/23 21:41:42  grzegol
- updated to 2.5.90
- added locale-names patch (changes locale no -> nb)
- updated BRs

Revision 1.74.2.5  2004/02/04 14:18:10  grzegol
- updated to 2.5.4

Revision 1.74.2.4  2004/01/14 20:41:48  grzegol
- updated to 2.5.3

Revision 1.74.2.3  2003/12/16 14:11:18  trojan
- updated to 2.5.2

Revision 1.74.2.2  2003/11/16 16:39:34  wiget
- removed dpi patch (like on HEAD)

Revision 1.74.2.1  2003/11/14 10:45:34  wiget
- 2.5.1

Revision 1.74  2003/11/12 23:50:00  krzak
- X_EXTRA_LIBS="-lXext"
- dpi.patch (that set /desktop/gnome/font_rendering/dpi automatically)
- rel 4

Revision 1.73  2003/11/10 00:32:07  krzak
- {_datadir}/gnome/capplets do not belong to gnome-session any more

Revision 1.72  2003/11/09 23:59:57  krzak
- added : pld-gnome-splash.png
- rel 3

Revision 1.71  2003/11/09 09:51:15  krzak
- typo

Revision 1.70  2003/11/09 02:32:32  krzak
- ups forgot update %files

Revision 1.69  2003/11/09 02:31:08  krzak
- move capplet to {_datadir}/gnome/capplets
- rel 2

Revision 1.68  2003/10/14 11:48:24  freetz
- up to 2.4.1

Revision 1.67  2003/09/24 18:13:00  krzak
- gnome.desktop install in /usr/share/xsessions
- rel 4

Revision 1.66  2003/09/24 09:45:33  krzak
- default-session.patch : by default try to run magicdev while gnome starting
- rel 3, stb.

Revision 1.65  2003/09/19 07:12:34  qrczak
- Revert last change, gnome-common was required.

Revision 1.64  2003/09/18 18:52:38  qrczak
- There is no gnome-common in gnome-2.4.
- Release 2.

Revision 1.63  2003/09/09 17:37:46  grzegol
- updated to 2.4.0

Revision 1.62  2003/09/02 16:45:28  grzegol
- updated to 2.3.90

Revision 1.61  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.60  2003/08/25 21:52:55  grzegol
- updated to 2.3.7

Revision 1.59  2003/08/18 08:08:08  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.58  2003/08/13 13:38:26  trojan
- updated to 2.3.6.2

Revision 1.57  2003/08/11 13:12:06  trojan
- updated to 2.3.6.1

Revision 1.56  2003/08/07 19:06:02  aflinta
- version 2.3.6

Revision 1.55  2003/08/01 11:58:49  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.54  2003/07/15 17:34:17  aflinta
- version 2.3.4

Revision 1.53  2003/07/04 21:37:35  grzegol
- updated to 2.3.3.1

Revision 1.52  2003/06/06 16:52:22  aflinta
- version 2.3.3

Revision 1.51  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.50  2003/05/25 05:48:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.49  2003/05/20 21:07:46  aflinta
- make sr locales compatible with glibc, release 2

Revision 1.48  2003/05/20 18:26:01  aflinta
- version 2.3.2

Revision 1.47  2003/05/08 14:49:29  qboosh
- renamed sp locale to sr@cyrillic, cosmetics, release 2

Revision 1.46  2003/05/04 20:17:10  grzegol
- commented out R(post,postun): scrollkeeper
- simplified %%postun

Revision 1.45  2003/05/04 17:17:05  aflinta
- version 2.3.1

Revision 1.44  2003/03/27 08:11:57  aflinta
- updated to version 2.3.0

Revision 1.43  2003/03/11 00:41:10  aflinta
- updated to version 2.2.1

Revision 1.42  2003/02/07 08:17:12  wrobell
- rel. 2 /fuck, fuck, fuck/

Revision 1.41  2003/02/06 17:09:37  wrobell
- /usr/share/gnome should be owned by other, more appropriate package
- rel. 2

Revision 1.40  2003/02/04 08:25:11  trojan
- updated to 2.2.0.2
- removed outdated patch

Revision 1.39  2003/01/21 22:21:27  aflinta
- updated to version 2.2.0.1

Revision 1.38  2003/01/21 08:44:50  aflinta
- updated to version 2.2.0

Revision 1.37  2003/01/07 22:20:00  wrobell
- fixed esound build requirements

Revision 1.36  2003/01/06 08:57:43  aflinta
- updated to version 2.1.90

Revision 1.35  2002/12/16 22:15:15  aflinta
- updated to version 2.1.5

Revision 1.34  2002/12/10 08:33:17  aflinta
- updated to version 2.1.4

Revision 1.33  2002/12/09 07:14:00  aflinta
- updated BR
- release 6

Revision 1.32  2002/12/04 21:19:18  aflinta
- moved from /usr/X11R6 to /usr, _omf_dest_dir is now in rpm macros, release 2

Revision 1.31  2002/12/02 20:48:18  wolf
- rpm-build >= 4.1-7 is reqired by %%gconf_schema_install

Revision 1.30  2002/11/28 17:45:28  aflinta
- updated to version 2.1.3

Revision 1.29  2002/11/12 15:17:03  krzak
- Requires:       control-center >= 2.1.2
- because it print a lot of errors without it.

Revision 1.28  2002/11/04 08:05:14  aflinta
- updated to version 2.1.2

Revision 1.27  2002/10/29 18:54:30  aflinta
- rebuild against bonobo-activation 2.1.0, release up

Revision 1.26  2002/10/24 11:23:18  malekith
- release 2

Revision 1.25  2002/10/14 10:25:52  aflinta
- updated to version 2.1.1

Revision 1.24  2002/10/09 11:13:49  qboosh
- BR: intltool

Revision 1.23  2002/10/07 12:15:13  qboosh
- BR: autoconf,automake,libtool; Requires(post): GConf2

Revision 1.22  2002/09/29 19:35:58  grzegol
- started update to 2.1.0; waiting for gtk+-2.1.0

Revision 1.21  2002/09/05 14:13:36  aflinta
- updated to version 2.0.7

Revision 1.20  2002/08/27 08:29:14  aflinta
- updated to version 2.0.6

Revision 1.19  2002/08/16 14:50:48  wolf
- removed dtd fix

Revision 1.18  2002/08/16 12:43:10  wolf
- correct gconf
- local dtd (not used?)

Revision 1.17  2002/08/15 03:13:46  michuz
- updated to 2.0.5

Revision 1.16  2002/07/15 22:06:53  michuz
- more BR
- fixed aclocal

Revision 1.15  2002/07/15 21:54:08  michuz
- updated to 2.0.2
- changed url
- BR: esound-devel

Revision 1.14  2002/06/23 20:32:27  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.13  2002/06/23 10:32:33  aflinta
- updated to version 2.0.1

Revision 1.12  2002/06/12 15:38:45  aflinta
- changed source type from ftp:// to http://

Revision 1.11  2002/06/12 13:47:24  wiget
updated to 2.0.0

Revision 1.10  2002/05/29 11:20:47  wiget
- 1.5.20
- more BRs
- fix libwrap linkage
- use sed to patch po/Makefile.in.in
- new %%doc

Revision 1.9  2002/05/21 23:13:18  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/05/14 22:28:33  michuz
- more %%files and %%post fixes

Revision 1.7  2002/05/14 22:26:08  michuz
- fixed %%files

Revision 1.6  2002/05/14 22:16:07  michuz
- added am ac stuff

Revision 1.5  2002/05/14 22:12:54  michuz
- defined sysconfdir

Revision 1.4  2002/05/14 22:06:01  michuz
- updated to 1.5.19

Revision 1.3  2002/05/14 12:15:38  qboosh
- fixed description, added pl one

Revision 1.2  2002/04/30 01:38:34  michuz
- updated to 1.5.18

Revision 1.1  2002/04/26 17:24:06  michuz
- initial release (based on RH)
